# McQuah's CRUX ports

One of the strengths of the CRUX distribution is
its unapologetic stance on weeding out unmaintained
packages, which keeps the core installation
extremely minimal. Even the contrib collection is
not safe from these purges, as evidenced by the
disappearance of such venerable utilities
like netcat and ncdu. Although these packages are
recoverable via the gitweb history, the preferred
option is to let their advocates take over the
maintenance in personal overlays. Here is my
overlay---a mix of onetime-official ports (no longer
in the official repositories, or forked with my own
customizations) and custom ports that never had an
official version.

The build scripts in this collection mostly just
copy the commands from other sources, including
upstream, other CRUX ports, AUR, and VoidLinux.
In most cases it would be too laborious to track down
the original authors. But if you recognize your work
and want your name on it, let me know!

A few ports will generate signature mismatches if
you use a version of pkgmk that lacks the feature
for renaming tarballs. Once CRUX 3.7 is released and
widely adopted, these errors should be a thing of
the past.
